- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# yy_buffer_state Struct Reference

List of all members.

## Public Attributes
FILE * | yy_input_file
char * | yy_ch_buf
char * | yy_buf_pos
yy_size_t | yy_buf_size
int | yy_n_chars
int | yy_is_our_buffer
int | yy_is_interactive
int | yy_at_bol
int | yy_bs_lineno
| The line count.
int | yy_bs_column
| The column count.
int | yy_fill_buffer
int | yy_buffer_status
FILE * | yy_input_file
char * | yy_ch_buf
char * | yy_buf_pos
FILE * | yy_input_file
char * | yy_ch_buf
char * | yy_buf_pos
FILE * | yy_input_file
char * | yy_ch_buf
char * | yy_buf_pos
FILE * | yy_input_file
char * | yy_ch_buf
char * | yy_buf_pos

## Detailed Description

Definition at line 224 of file OSParseosil.cpp.

## Member Data Documentation

FILE* yy_buffer_state::yy_input_file

Definition at line 226 of file OSParseosil.cpp.

Referenced by osil_scan_buffer(), osol_scan_buffer(), osrl_scan_buffer(), and osss_scan_buffer().

char* yy_buffer_state::yy_ch_buf

Definition at line 228 of file OSParseosil.cpp.

Referenced by osil_flush_buffer(), osil_scan_buffer(), osol_flush_buffer(), osol_scan_buffer(), osrl_flush_buffer(), osrl_scan_buffer(), osss_flush_buffer(), and osss_scan_buffer().

char* yy_buffer_state::yy_buf_pos

Definition at line 229 of file OSParseosil.cpp.

Referenced by osil_flush_buffer(), osil_scan_buffer(), osol_flush_buffer(), osol_scan_buffer(), osrl_flush_buffer(), osrl_scan_buffer(), osss_flush_buffer(), and osss_scan_buffer().

yy_size_t yy_buffer_state::yy_buf_size

Definition at line 234 of file OSParseosil.cpp.

Referenced by osil_scan_buffer(), osol_scan_buffer(), osrl_scan_buffer(), and osss_scan_buffer().

int yy_buffer_state::yy_n_chars

Definition at line 239 of file OSParseosil.cpp.

Referenced by osil_flush_buffer(), osil_scan_buffer(), osol_flush_buffer(), osol_scan_buffer(), osrl_flush_buffer(), osrl_scan_buffer(), osss_flush_buffer(), and osss_scan_buffer().

int yy_buffer_state::yy_is_our_buffer

Definition at line 245 of file OSParseosil.cpp.

Referenced by osil_scan_buffer(), osil_scan_bytes(), osol_scan_buffer(), osol_scan_bytes(), osrl_scan_buffer(), osrl_scan_bytes(), osss_scan_buffer(), and osss_scan_bytes().

int yy_buffer_state::yy_is_interactive

Definition at line 252 of file OSParseosil.cpp.

Referenced by osil_scan_buffer(), osol_scan_buffer(), osrl_scan_buffer(), and osss_scan_buffer().

int yy_buffer_state::yy_at_bol

Definition at line 258 of file OSParseosil.cpp.

Referenced by osil_flush_buffer(), osil_scan_buffer(), osol_flush_buffer(), osol_scan_buffer(), osrl_flush_buffer(), osrl_scan_buffer(), osss_flush_buffer(), and osss_scan_buffer().

int yy_buffer_state::yy_bs_lineno

The line count.

Definition at line 260 of file OSParseosil.cpp.

int yy_buffer_state::yy_bs_column

The column count.

Definition at line 261 of file OSParseosil.cpp.

int yy_buffer_state::yy_fill_buffer

Definition at line 266 of file OSParseosil.cpp.

Referenced by osil_scan_buffer(), osol_scan_buffer(), osrl_scan_buffer(), and osss_scan_buffer().

int yy_buffer_state::yy_buffer_status

Definition at line 268 of file OSParseosil.cpp.

Referenced by osil_flush_buffer(), osil_scan_buffer(), osol_flush_buffer(), osol_scan_buffer(), osrl_flush_buffer(), osrl_scan_buffer(), osss_flush_buffer(), and osss_scan_buffer().

FILE* yy_buffer_state::yy_input_file

Definition at line 226 of file OSParseosol.cpp.

char* yy_buffer_state::yy_ch_buf

Definition at line 228 of file OSParseosol.cpp.

char* yy_buffer_state::yy_buf_pos

Definition at line 229 of file OSParseosol.cpp.

FILE* yy_buffer_state::yy_input_file

Definition at line 226 of file OSParseosrl.cpp.

char* yy_buffer_state::yy_ch_buf

Definition at line 228 of file OSParseosrl.cpp.

char* yy_buffer_state::yy_buf_pos

Definition at line 229 of file OSParseosrl.cpp.

FILE* yy_buffer_state::yy_input_file

Definition at line 226 of file OSParseosss.cpp.

char* yy_buffer_state::yy_ch_buf

Definition at line 228 of file OSParseosss.cpp.

char* yy_buffer_state::yy_buf_pos

Definition at line 229 of file OSParseosss.cpp.

FILE* yy_buffer_state::yy_input_file

Definition at line 224 of file OSParseosrl.cpp.

char* yy_buffer_state::yy_ch_buf

Definition at line 226 of file OSParseosrl.cpp.

char* yy_buffer_state::yy_buf_pos

Definition at line 227 of file OSParseosrl.cpp.

The documentation for this struct was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSParsers/OSParseosil.cpp
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSParsers/OSParseosol.cpp
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSParsers/OSParseosrl.cpp
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSParsers/OSParseosss.cpp
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSParseosrl.cpp